﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.Runtime.Serialization;

namespace SBV2WCFQueuesSample
{
    [ServiceContract()]
    public interface IOrderService
    {
        [OperationContract(IsOneWay = true)]
        void ProcessOrder(Order order);
    }

    [DataContract()]
    public class Order
    {
        [DataMember]
        public Int64 OrderId;

        [DataMember]
        public Dictionary<string, decimal> Products = new Dictionary<string, decimal>();

        [DataMember]
        public decimal Total;
    }

   
}
